    initOverlays: function(json) {
        var layers = new Array();

        if (CheckObjectExists(json.backgroundOverlay)) {
            var layer = null;
            var oType = json.backgroundOverlay.otype.toUpperCase();
            if (oType == 'LAYER' && (json.backgroundOverlay.visibility || !json.backgroundOverlay.isDefault)) {
                layer = this.getLayerOverlay(json.backgroundOverlay, json.cid);
            } else if (oType != 'LAYER') {
                layer = this.getLayerByJson(json.backgroundOverlay, json.cid);
            }
            if (layer) {
                layers.push(layer);
            }
        }

        if (CheckObjectExists(json.staticOverlay)) {
            if (json.staticOverlay.visibility || !json.staticOverlay.isDefault) {
                var staticOverlay = this.getLayerOverlay(json.staticOverlay, json.cid);
                layers.push(staticOverlay);
            }
        }

        for (var i = 0; i < json.layers.length; i++) {
            if (json.layers[i].isBaseLayer) {
                var overlayJson = json.layers[i];
                var overlay = this.getLayerByJson(overlayJson, json.cid);
                if (overlay) {
                    layers.push(overlay);
                }
                json.layers.splice(i, 1);
            }
        }

        if (CheckObjectExists(json.dynamicOverlay)) {
            if (json.dynamicOverlay.visibility || !json.dynamicOverlay.isDefault) {
                var dynamicOverlay = this.getLayerOverlay(json.dynamicOverlay, json.cid);
                layers.push(dynamicOverlay);
            }
        }

        var layersLength = json.layers.length;
        for (var i = 0, layerIndex = 0; i < layersLength; i++) {
            if (!json.layers[layerIndex].isBaseLayer) {
                var overlayJson = json.layers[layerIndex];
                var otype = overlayJson.otype.toUpperCase();
                if (otype == 'LAYER') {
                    var overlay = this.getLayerByJson(overlayJson, json.cid);
                    if (overlay) {
                        layers.push(overlay);
                        json.layers.splice(layerIndex, 1);
                    }
                }
            }
            else {
                layerIndex++;
            }
        }

        if (CheckObjectExists(json.markerOverlay)) {
            if (json.markerOverlay.visibility || !json.markerOverlay.isDefault) {
                var markerOverlay = this.getMarkerOverlay(json.markerOverlay);
                markerOverlay.gridSize = json.markerOverlay.gridSize;
                layers.push(markerOverlay);
                this.markerOverlayIds.push(json.markerOverlay.Id);
            }
        }

        for (var i = 0; i < json.layers.length; i++) {
            var overlayJson = json.layers[i];
            var otype = overlayJson.otype.toUpperCase();
            var overlay = this.getLayerByJson(overlayJson, json.cid);
            if (overlay) {
                layers.push(overlay);
                if (otype == 'MARKERS') this.markerOverlayIds.push(overlayJson.Id);
                else if (otype == 'SIMPLEMARKERS') this.simpleMarkerOverlayIds.push(overlayJson.Id);
            }
        }

        if (layers.length != 0) {
            var hasBaseLayer = false;
            for (var i = 0; i < layers.length; i++) {
                if (layers[i].isBaseLayer) {
                    hasBaseLayer = true;
                    break;
                }
            }
            if (!hasBaseLayer) this.addBlankWmsLayer();
            this.onOverlaysDrawing(layers);
            this.map.addLayers(layers);
            //this.addSimpleMarkers();
        } else {
            this.addBlankWmsLayer();
        }
    },